OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - r -

- RailTypeResolverObject() : RailTypeResolverObject
- RailTypeScopeResolver() : RailTypeScopeResolver
- RaiseButtons() : Window
- RaiseWidget() : Window
- RawAlloc() : ByteBlob
- RawFree() : ByteBlob
- Read() : FileReader , LZOLoadFilter , NoCompLoadFilter , ZlibLoadFilter , LZMALoadFilter , LoadFilter , PacketReader
- ReadBuffer() : ReadBuffer
- ReadIdentifier() : Lexer
- ReadLine() : StringListReader , FileStringReader , StringReader
- ReadRawPacketSize() : Packet
- ReadString() : Lexer
- Reassign() : VehicleCargoList
- Rebuild() : RoadStop::Entry
- RebuildCache() : LinkGraphOverlay
- RebuildColourIndexIfNecessary() : SmallMapWindow
- RebuildDone() : GUIList< T, F >
- RebuildVisibleSettings() : AISettingsWindow
- RecalcDestinations() : StationViewWindow
- Receive() : NetworkHTTPSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet > , ClientNetworkGameSocketHandler
- Receive_ADMIN_CHAT() : ServerNetworkAdminSocketHandler , NetworkAdminSocketHandler
- Receive_ADMIN_GAMESCRIPT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_PING() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_POLL() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_QUIT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_RCON() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_UPDATE_FREQUENCY() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_CLIENT_ACK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CHAT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMMAND() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_INFO() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CONTENT() : NetworkContentSocketHandler
- Receive_CLIENT_DETAIL_INFO() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_ERROR() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_FIND_SERVER() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GAME_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GET_LIST() : NetworkUDPSocketHandler
- Receive_CLIENT_GET_NEWGRFS() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GETMAP() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_INFO_EXTID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_EXTID_MD5() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_ID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_LIST() : NetworkContentSocketHandler
- Receive_CLIENT_JOIN() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MAP_OK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MOVE() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_NEWGRFS_CHECKED() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_QUIT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_RCON() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_NAME() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_MASTER_ACK_REGISTER() : NetworkUDPSocketHandler , MasterNetworkUDPSocketHandler
- Receive_MASTER_RESPONSE_LIST() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_MASTER_SESSION_KEY() : NetworkUDPSocketHandler , MasterNetworkUDPSocketHandler
- Receive_SERVER_BANNED() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CHAT() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CHECK_NEWGRFS() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CLIENT_ERROR() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_INFO() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CLIENT_JOIN() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_QUIT() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_LOGGING() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_NAMES() : NetworkAdminSocketHandler
- Receive_SERVER_COMMAND() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_COMPANY_ECONOMY() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_INFO() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_COMPANY_NEW() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_REMOVE() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_STATS() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_UPDATE() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CONFIG_UPDATE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_CONSOLE() : NetworkAdminSocketHandler
- Receive_SERVER_CONTENT() : NetworkContentSocketHandler
- Receive_SERVER_DATE() : NetworkAdminSocketHandler
- Receive_SERVER_DETAIL_INFO() : NetworkUDPSocketHandler
- Receive_SERVER_ERROR() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_ERROR_QUIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_FRAME() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_FULL() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_INFO() : NetworkContentSocketHandler
- Receive_SERVER_JOIN() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_BEGIN() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_DATA() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_DONE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MAP_SIZE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_MOVE() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEED_COMPANY_PASSWORD() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEED_GAME_PASSWORD() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEWGAME() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_NEWGRFS() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_SERVER_PONG() : NetworkAdminSocketHandler
- Receive_SERVER_PROTOCOL() : NetworkAdminSocketHandler
- Receive_SERVER_QUIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_RCON() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_RCON_END() : NetworkAdminSocketHandler
- Receive_SERVER_REGISTER() : NetworkUDPSocketHandler
- Receive_SERVER_RESPONSE() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- Receive_SERVER_SHUTDOWN() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_SYNC() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_UNREGISTER() : NetworkUDPSocketHandler
- Receive_SERVER_WAIT() : NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- Receive_SERVER_WELCOME() : NetworkAdminSocketHandler , NetworkGameSocketHandler , ClientNetworkGameSocketHandler
- ReceiveCommand() : NetworkGameSocketHandler
- ReceiveGRFIdentifier() : NetworkSocketHandler
- ReceiveInvalidPacket() : NetworkUDPSocketHandler , NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkGameSocketHandler
- ReceiveNetworkGameInfo() : NetworkUDPSocketHandler
- ReceivePacket() : NetworkTCPSocketHandler , ServerNetworkGameSocketHandler
- ReceivePackets() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkGameSocketHandler , NetworkUDPSocketHandler
- RecomputeIndustriesNear() : Station
- RecomputeIndustriesNearForAll() : Station
- RecomputeProductionMultipliers() : Industry
- Recv_bool() : Packet
- Recv_string() : Packet
- Recv_uint16() : Packet
- Recv_uint32() : Packet
- Recv_uint64() : Packet
- Recv_uint8() : Packet
- Reduce() : CargoPacket
- ReduceFlow() : Path
- ReduceLineCache() : Layouter
- RefCnt() : FixedSizeArray< T, C >
- Reflow() : FallbackParagraphLayout
- RefreshLinks() : LinkRefresher
- RefreshScrollbar() : RefitWindow
- RefreshSelectedPage() : StoryBookWindow
- RefreshStats() : LinkRefresher
- RegisterAPI() : AIScannerInfo , GameScannerInfo , AIInfo , AILibrary , AIScannerLibrary , GameInfo , GameLibrary , GameScannerLibrary , ScriptInstance , ScriptScanner
- RegisterScript() : ScriptScanner
- ReInit() : Window
- Release() : CCountedPtr< Tcls_ >
- ReleaseBlitterLock() : VideoDriver , VideoDriver_SDL , VideoDriver_Win32
- ReleaseFlows() : FlowStatMap
- ReleaseObject() : Squirrel
- ReleaseShare() : FlowStat
- RemainingCount() : VehicleCargoList
- RemapTile() : SmallMapWindow
- Remove() : CBinaryHeapT< T > , CargoDataEntry , SmallSet< Tdir, items >
- RemoveCallback() : ClientNetworkContentSocketHandler
- RemoveEdge() : LinkGraph::Node
- RemoveFlow() : LinkGraphJob::Edge
- RemoveFromCache() : VehicleCargoList , CargoList< Tinst, Tcont >
- RemoveFromMeta() : VehicleCargoList
- RemoveFromShared() : Vehicle
- RemoveGroup() : IniLoadFile
- RemoveNode() : LinkGraph
- RemoveOrder() : OrderBackup
- RemoveVehicle() : OrderList
- Reopen() : NetworkSocketHandler
- ReplaceClick_StartReplace() : ReplaceVehicleWindow
- ReportFileError() : IniLoadFile , IniFile , SettingsIniFile
- RequestContentList() : ClientNetworkContentSocketHandler
- require() : SquirrelStd
- Reroute() : StationCargoList , VehicleCargoList
- Rescan() : AI
- RescanDir() : ScriptScanner
- ReservationCost() : CYapfCostRailT< Types >
- Reserve() : StationCargoList
- ReservedCount() : VehicleCargoList , StationCargoList
- ReserveRailStationPlatform() : CYapfReserveTrack< Types >
- ReserveSingleTrack() : CYapfReserveTrack< Types >
- ReserveTrackUnderConsist() : Train
- Reset() : IndustryBuildData , SmallVector< T, S > , OrderBackup , LoadFilter , Squirrel , TextfileWindow , ScriptScanner , TileHighlightData , TextEffect , SmallSet< Tdir, items > , MissingGlyphSearcher , SmallMatrix< T > , FileReader , PacketReader , IndustryTypeBuildData , IConsoleLine
- ResetAirports() : AirportSpec
- ResetAirportTiles() : AirportTileSpec
- ResetConfig() : AI
- ResetEngine() : ScriptScanner
- ResetFontCache() : Layouter
- ResetIndustryCounts() : Industry
- ResetInfo() : AIConfig , GameConfig
- ResetLineCache() : Layouter
- ResetMapping() : OverrideManagerBase
- ResetOfUser() : OrderBackup
- ResetOverride() : OverrideManagerBase
- ResetRefit() : LinkRefresher
- ResetRefitCaps() : Vehicle
- ResetResortTimer() : GUIList< T, F >
- ResetSettings() : ScriptConfig
- ResetState() : ResolverObject , StringFilter
- ResetToCurrentNewGRFConfig() : EngineOverrideManager
- ResetToDefaultMapping() : EngineOverrideManager
- ResetToZero() : PersistentStorageArray< TYPE, SIZE >
- ResetTypeCounts() : Object
- ResetUser() : OrderBackup
- Resize() : SmallMatrix< T > , SmallVector< T, S >
- Resolve() : NIHelper , DeterministicSpriteGroup , SpriteGroup , NetworkAddress , ResolverObject , RandomizedSpriteGroup , SpriteGroup , RealSpriteGroup
- ResolveCallback() : ResolverObject
- ResolveReal() : CargoResolverObject , ResolverObject , StationResolverObject , GenericResolverObject , RailTypeResolverObject , AirportResolverObject , CanalResolverObject , VehicleResolverObject
- ResolverObject() : ResolverObject
- Restore() : Backup< T > , OrderBackup
- RestrictFlows() : FlowStatMap
- RestrictShare() : FlowStat
- ResultSpriteGroup() : ResultSpriteGroup
- Resume() : Squirrel
- ResumeError() : Squirrel
- Retrieve() : CargoDataEntry
- Return() : VehicleCargoList
- ReturnCargoAction() : ReturnCargoAction
- ReusableBuffer() : ReusableBuffer< T >
- ReverseLookupDependency() : ClientNetworkContentSocketHandler
- ReverseLookupTreeDependency() : ClientNetworkContentSocketHandler
- Revert() : Backup< T >
- RoadStop() : RoadStop
- RoadVehicle() : RoadVehicle
- RotateTop4Words() : TextRefStack
- Run() : FlowMapper , ComponentHandler , InitHandler , DemandHandler , LinkGraphSchedule , LinkRefresher , MCFHandler< Tpass >
- RunError() : Squirrel